Bug 124222 - evolution-connector 1.4.7 does not compile on x86_64
evolution-connector 1.4.7 does not compile on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 16:00 EDT by Tom Duffy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 19:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Duffy 2004-05-24 16:00:16 EDT
[root@d-mpk14-95-238 SPECS]# rpmbuild -ba evolution-connector.spec

<snip>

gcc -O2 -g -pipe -Wall -Wmissing-prototypes -Wnested-externs
-Wpointer-arith -Wno-sign-compare -o fbtest fbtest.o
-Wl,--export-dynamic -Wl,--export-dynamic  libexchange.a
../xntlm/libxntlm.a -L/usr/lib64/evolution/1.4 -lsoup-2.0 -pthread
-lpcs -lcal-util -lcal-client -lical-evolution -lwombat -leutil
-lgnome-2 /usr/lib/libpopt.so -lgal-2.0 -lgal-a11y-2.0 -lbonobo-2
-lgconf-2 -lgnomevfs-2 -lglade-2.0 -lgnomeprint-2-2 -lgtk-x11-2.0
-lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0
-lart_lgpl_2 -lxml2 -lpthread -lz -lpango-1.0 -lbonobo-activation
-lORBit-2 -lgobject-2.0 -lgthread-2.0 -lm -lgmodule-2.0 -ldl
-lglib-2.0 -lldap -llber -lnsl
/usr/lib/libpopt.so: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[2]: *** [fbtest] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/ximian-connector-1.4.7/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/ximian-connector-1.4.7'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.68499 (%build)
 

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.68499 (%build)
Comment 1 Tom Duffy 2004-10-21 19:32:56 EDT
Clearly x86_64 builds are working for 2.0.2-1 as they are in rawhide

Note You need to log in before you can comment on or make changes to this bug.